Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 5310)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 5311)
@@ -61,7 +61,6 @@
 import edu.ucsb.nceas.metacat.shared.HandlerException;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
-import edu.ucsb.nceas.metacat.spatial.SpatialFeatureSchema;
 import edu.ucsb.nceas.metacat.spatial.SpatialHarvester;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.ConfigurationUtil;
@@ -336,7 +335,6 @@
 			logMetacat.debug("MetaCatServlet.initSecondHalf - DBConnection pool initialized: " + connPool.toString());
 			
 			ServiceService.registerService("XMLSchemaService", XMLSchemaService.getInstance());
-//			ServiceService.registerService("SchedulerService", SchedulerService.getInstance());
 
 			// check if eml201 document were corrected or not. if not, correct eml201 documents.
 			// Before Metacat 1.8.1, metacat uses tag RELEASE_EML_2_0_1_UPDATE_6 as eml
@@ -374,25 +372,23 @@
 			 * If spatial option is turned on and set to regenerate the spatial
 			 * cache on restart, trigger the harvester regeneratation method
 			 */
-			if (PropertyService.getProperty("spatial.runSpatialOption").equals("true")) {
-			//      && PropertyService.getProperty("spatial.regenerateCacheOnRestart").equals("true")) {
-			        
+			if (PropertyService.getProperty("spatial.runSpatialOption").equals("true") && 
+					PropertyService.getProperty("spatial.regenerateCacheOnRestart").equals("true")) {
+
 				// Begin timer
 				long before = System.currentTimeMillis();
 
-                // if either the point or polygon shape files do not exist, then regenerate the entire spatial cache
-                // this may be expensive with many documents
-                if (FileUtil.getFileStatus(SpatialFeatureSchema.pointShpUri) == FileUtil.DOES_NOT_EXIST) {      
-                    SpatialHarvester sh = new SpatialHarvester();
-                    sh.regenerate();
-                    sh.destroy();
-                }
+				// if either the point or polygon shape files do not exist, then regenerate the entire spatial cache
+				// this may be expensive with many documents		
+				SpatialHarvester sh = new SpatialHarvester();
+				sh.regenerate();
+				sh.destroy();
 
 				// After running the first time, we want to to set
 				// regenerateCacheOnRestart to false
 				// so that it does not regenerate the cache every time tomcat is
 				// restarted
-//				PropertyService.setProperty("spatial.regenerateCacheOnRestart", "false");
+				PropertyService.setProperty("spatial.regenerateCacheOnRestart", "false");
 
 				// End timer
 				long after = System.currentTimeMillis();
@@ -420,10 +416,12 @@
 			System.setProperty("replication.logfile.name", replicationLogPath);			
 			PropertyConfigurator.configureAndWatch(LOG_CONFIG_NAME);
 			
+			SessionService.unRegisterAllSessions();
+			
 	         //Initialize Metacat Handler
             handler = new MetacatHandler(getServletContext(), timer);
 
-			MetacatHandler.set_sitemapScheduled(false);
+			handler.set_sitemapScheduled(false);
 
 			_fullyInitialized = true;
 			
Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 5310)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 5311)
@@ -1662,21 +1662,11 @@
                 }
                 // Lastly, update the xml_path_index table
                 if(!pathsFound.isEmpty()){
-                    try {
-                        logMetacat.debug("DocumentImpl.buildIndex - updating path index");
+                	logMetacat.debug("DocumentImpl.buildIndex - updating path index");
                     	
-                    	updatePathIndex(dbConn, pathsFound);
-                    } catch (SQLException sqle) {
-                    	
-                    	logMetacat.warn("DocumentImpl.buildIndex - SQL error when updating node " + 
-                    			"index.  Sleeping for 3 seconds and trying again : " + sqle.getMessage());
-                    	try {
-                    		Thread.currentThread().sleep(3000);
-                    	} catch (InterruptedException ie) {}
-                    	
-                    	updatePathIndex(dbConn, pathsFound);
-                    }
-                  pathsFound.clear();
+                	updatePathIndex(dbConn, pathsFound);
+
+                	pathsFound.clear();
                 }
             }
             
@@ -1943,6 +1933,16 @@
         Iterator<PathIndexEntry> it = pathsFound.values().iterator();
          while (it.hasNext()) {
              PathIndexEntry entry = (PathIndexEntry)it.next();
+             if (entry.path.length() > 2784) {
+            	 logMetacat.warn("DocumentImpl.updatePathIndex - the path for doc id " + entry.docid + 
+            			 " is too long and will db break indexing.  This path was not indexed: " + entry.path);
+            	 continue;
+             }
+             if (entry.nodeData.length() > 2784) {
+            	 logMetacat.warn("DocumentImpl.updatePathIndex - the node data for doc id " + entry.docid + 
+            			 " is too long and will break db indexing.  This path was not indexed: " + entry.path);
+            	 continue;
+             }
              pstmt.setString(1,entry.docid);
              pstmt.setString(2, entry.path);
              pstmt.setString(3, entry.nodeData);
@@ -2464,15 +2464,6 @@
             
             pstmt.close();
             if(action.equals("UPDATE")){
-                /*// Delete the old nodes in xml_nodes table...
-                pstmt = connection.prepareStatement("DELETE FROM xml_nodes "
-                                                + "WHERE rootnodeid = ?");
-                // Increase dbconnection usage count
-                connection.increaseUsageCount(1);
-                // Bind the values to the query and execute it
-                pstmt.setLong(1, thisdoc.getRootNodeID());
-                pstmt.execute();
-                pstmt.close();*/
             	logMetacat.debug("DocumentImpl.writeDocumentToDB - Deleting xml nodes for docid: " + 
             			thisdoc.getDocID() + " using root node ID: " + thisdoc.getRootNodeID());
             	deleteXMLNodes(connection, thisdoc.getRootNodeID());
Index: src/edu/ucsb/nceas/metacat/MetacatHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatHandler.java	(revision 5310)
+++ src/edu/ucsb/nceas/metacat/MetacatHandler.java	(revision 5311)
@@ -342,6 +342,7 @@
                 + e.getMessage();
             logMetacat.error(errorMsg);
             out.println(errorMsg);
+            e.printStackTrace(System.out);
             return;
         }
         boolean isValid = sess.authenticate(request, un, pw);
@@ -365,6 +366,7 @@
                         + se.getMessage();
                 logMetacat.error("MetaCatServlet.handleLoginAction - " + errorMsg);
                 out.println(errorMsg);
+                se.printStackTrace(System.out);
                 return;
             }           
         }
@@ -383,6 +385,7 @@
             } catch (Exception e) {               
                 logMetacat.error("MetaCatServlet.handleLoginAction - General error"
                         + e.getMessage());
+                e.printStackTrace(System.out);
             }
         }
     }
@@ -433,6 +436,7 @@
                 logMetacat.error(
                         "MetaCatServlet.handleLogoutAction - General error: "
                         + e.getMessage());
+                e.printStackTrace(System.out);
             }
         }
     }
@@ -584,6 +588,7 @@
             } catch (IOException ioe) {
                 logMetacat.error("MetaCatServlet.handleExportAction - Problem with the servlet output: "
                         + ioe.getMessage());
+                e.printStackTrace(System.out);
             }
             
             logMetacat.error("MetaCatServlet.handleExportAction - General error: "
@@ -691,9 +696,11 @@
             } catch (IOException ioe) {
                 logMetacat.error("MetaCatServlet.handleReadInlineDataAction - Problem with the servlet output: "
                         + ioe.getMessage());
+                e.printStackTrace(System.out);
             }
             logMetacat.error("MetaCatServlet.handleReadInlineDataAction - General error: "
                     + e.getMessage());
+            e.printStackTrace(System.out);
         }
     }
     
@@ -783,7 +790,10 @@
                     if (zip) {
                         addDocToZip(request, docid, providedFileName, zout, user, groups);
                     } else {
-                        readFromMetacat(request.getRemoteAddr(), response, response.getOutputStream(), docid, qformat,
+                    	if (out == null) {
+                    		out = response.getOutputStream();
+                    	}
+                        readFromMetacat(request.getRemoteAddr(), response, out, docid, qformat,
                                 user, groups, withInlineData, params);
                     }
                 }
@@ -817,6 +827,7 @@
             } catch (Exception exc) {
                 logMetacat.error("MetaCatServlet.handleReadAction - General error: "
                         + exc.getMessage());
+                exc.printStackTrace(System.out);
                 try {
                     if (out != null) {
                         response.setContentType("text/xml");
@@ -849,6 +860,7 @@
                 } catch (IOException ie) {
                     logMetacat.error("MetaCatServlet.handleReadAction - Problem with the servlet output: "
                             + ie.getMessage());
+                    ie.printStackTrace(System.out);
                 }
             }
         } catch (Exception e) {
@@ -890,7 +902,7 @@
             
             logMetacat.error("MetaCatServlet.handleReadAction - General error: "
                     + e.getMessage());
-            //e.printStackTrace(System.out);
+            e.printStackTrace(System.out);
         }
     }
     
@@ -994,6 +1006,7 @@
                         // old way of creating the xml directly.
                         logMetacat.error("MetaCatServlet.readFromMetacat - could not read from document file " + docid 
                                 + ": " + e.getMessage());
+                        e.printStackTrace(System.out);
                         PrintWriter pw = new PrintWriter(out);
                         doc.toXmlFromDb(pw, user, groups, withInlineData);
                     }
@@ -1306,6 +1319,7 @@
         } catch (MetacatUtilException ue) {
             logMetacat.error("MetaCatServlet.handleInsertOrUpdateAction - Could not determine if user could insert or update: "
                     + ue.getMessage());
+            ue.printStackTrace(System.out);
         }
         
         try {
@@ -1461,6 +1475,7 @@
                 
                 logMetacat.error("MetaCatServlet.handleInsertOrUpdateAction - General error: "
                         + e.getMessage());
+                e.printStackTrace(System.out);
             }
         }
     }
@@ -1580,6 +1595,7 @@
                     out.println("</error>");
                     logMetacat.error("MetaCatServlet.handleDeleteAction - Document could not be deleted: "
                             + ane.getMessage());
+                    ane.printStackTrace(System.out);
                 }
             } catch (Exception e) {
                 response.setContentType("text/xml");
@@ -1589,6 +1605,7 @@
                 out.println("</error>");
                 logMetacat.error("MetaCatServlet.handleDeleteAction - Document could not be deleted: "
                         + e.getMessage());
+                e.printStackTrace(System.out);
             }
         }
     }
@@ -1710,7 +1727,8 @@
                 docid = actualDocId;
             } catch (ParseLSIDException ple) {
                 logMetacat.error("MetaCatServlet.handleGetAccessControlAction - MetaCatServlet.handleGetAccessControlAction - " +
-                        "could not parse lsid: " + docid + " : " + ple.getMessage());               
+                        "could not parse lsid: " + docid + " : " + ple.getMessage());  
+                ple.printStackTrace(System.out);
             }
         }
         
@@ -1953,6 +1971,7 @@
                 }
             } catch (ParseException e) {
                 logMetacat.error("MetaCatServlet.handleGetLogAction - Failed to created Timestamp from input.");
+                e.printStackTrace(System.out);
             }
             
             // Request the report by passing the filter parameters
@@ -1962,9 +1981,11 @@
         } catch (IOException e) {
             logMetacat.error("MetaCatServlet.handleGetLogAction - Could not open http response for writing: "
                     + e.getMessage());
+            e.printStackTrace(System.out);
         } catch (MetacatUtilException ue) {
             logMetacat.error("MetaCatServlet.handleGetLogAction - Could not determine if user is administrator: "
                     + ue.getMessage());
+            ue.printStackTrace(System.out);
         }
     }
     
@@ -2031,9 +2052,11 @@
         } catch (IOException e) {
             logMetacat.error("MetaCatServlet.handleBuildIndexAction - Could not open http response for writing: "
                     + e.getMessage());
+            e.printStackTrace(System.out);
         } catch (MetacatUtilException ue) {
             logMetacat.error("MetaCatServlet.handleBuildIndexAction - Could not determine if user is administrator: "
                     + ue.getMessage());
+            ue.printStackTrace(System.out);
         }
     }
     
@@ -2080,6 +2103,7 @@
         } catch (PropertyNotFoundException pnfe) {
             logMetacat.error("MetaCatServlet.handleMultipartForm - Could not determine data file size limit.  Using 1000. " 
                     + pnfe.getMessage());
+            pnfe.printStackTrace(System.out);
         }
         logMetacat.debug("MetaCatServlet.handleMultipartForm - The size limit of uploaded data files is: " + sizeLimit);
         
@@ -2161,6 +2185,7 @@
         } catch (IOException ioe2) {
             logMetacat.error("MetaCatServlet.handleMultipartForm - Fatal Error: couldn't get response "
                     + "output stream.");
+            ioe2.printStackTrace(System.out);
         }
         
         if (action.equals("upload")) {
@@ -2283,6 +2308,7 @@
                     {
                         logMetacat.error("MetaCatServlet.handleInsertMultipartAction - IO Exception copying file: " +
                                 ioe.getMessage());
+                        ioe.printStackTrace(System.out);
                     }
                     size = newFile.length();
                     if (size == 0) 
@@ -2331,7 +2357,7 @@
           catch(Exception e)
           {
               logMetacat.error("MetaCatServlet.handleInsertMultipartAction - error uploading text file via multipart: " + e.getMessage());
-              e.printStackTrace();
+              e.printStackTrace(System.out);;
           }
         }
       }
@@ -2404,6 +2430,7 @@
                                 } catch (IOException ioe) {
                                     logMetacat.error("IO Exception copying file: " +
                                             ioe.getMessage());
+                                    ioe.printStackTrace(System.out);
                                 }
                                 size = newFile.length();
                                 if (size == 0) {
@@ -2490,6 +2517,7 @@
                 
                 logMetacat.error("MetaCatServlet.handleUploadAction - General error: "
                         + e.getMessage());
+                e.printStackTrace(System.out);
             }
         }
     }
@@ -2583,7 +2611,8 @@
                     docid = actualDocId;
                 } catch (ParseLSIDException ple) {
                     logMetacat.error("MetaCatServlet.handleSetAccessAction - " +
-                            "could not parse lsid: " + docid + " : " + ple.getMessage());               
+                            "could not parse lsid: " + docid + " : " + ple.getMessage()); 
+                    ple.printStackTrace(System.out);
                 }
             }
             
@@ -2597,6 +2626,7 @@
             } catch (Exception e) {
                 logMetacat.error("MetaCatServlet.handleSetAccessAction - Error in handleSetAccessAction: "
                         + e.getMessage());
+                e.printStackTrace(System.out);
                 error = "Error in set access control for document - " + accessionNumber + e.getMessage();
                 errorList.addElement(error);
                 continue;
@@ -2637,6 +2667,7 @@
                 } catch (Exception ee) {
                     logMetacat.error("MetaCatServlet.handleSetAccessAction - Error inserting permission: "
                             + ee.getMessage());
+                    ee.printStackTrace(System.out);
                     error = "Failed to set access control for document "
                             + accessionNumber + " because " + ee.getMessage();
                     errorList.addElement(error);
@@ -2662,6 +2693,7 @@
             } catch (MetacatUtilException mue) {
                 logMetacat.error("metaCatServlet.handleSetAccessAction - could not forward " +
                         "request. Sending output to response writer");
+                mue.printStackTrace(System.out);
                 outputResponse(successList, errorList, out);
             }               
         } else {
@@ -2872,7 +2904,7 @@
     /**
      * @param sitemapScheduled toggle the _sitemapScheduled flag
      */
-    public static void set_sitemapScheduled(boolean sitemapScheduled) {
+    public void set_sitemapScheduled(boolean sitemapScheduled) {
         _sitemapScheduled = sitemapScheduled;
     }
 
Index: src/edu/ucsb/nceas/metacat/service/XMLSchemaService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/service/XMLSchemaService.java	(revision 5310)
+++ src/edu/ucsb/nceas/metacat/service/XMLSchemaService.java	(revision 5311)
@@ -86,7 +86,7 @@
 			createRegisteredNameSpaceAndLocationString();
 			
 		} catch (PropertyNotFoundException pnfe) {
-			logMetacat.error("Could not find property: xml.useFullSchemaValidation. " + 
+			logMetacat.error("XMLService.XMLSchemaService() - Could not find property: xml.useFullSchemaValidation. " + 
 					"Setting to false.");
 		}
 	}
@@ -117,7 +117,7 @@
 			createRegisteredNameSpaceList();
 			createRegisteredNameSpaceAndLocationString();
 		} catch (PropertyNotFoundException pnfe) {
-			logMetacat.error("Could not find property: xml.useFullSchemaValidation. " + 
+			logMetacat.error("XMLService.doRefresh - Could not find property: xml.useFullSchemaValidation. " + 
 					"Setting to false.");
 		}
 	}
@@ -202,7 +202,7 @@
 					.getDBConnection("XMLService.populateRegisteredSchemaList");
 			serialNumber = conn.getCheckOutSerialNumber();
 			pstmt = conn.prepareStatement(sql);
-			logMetacat.debug("Selecting schemas: " + pstmt.toString());
+			logMetacat.debug("XMLService.populateRegisteredSchemaList - Selecting schemas: " + pstmt.toString());
 			pstmt.execute();
 			resultSet = pstmt.getResultSet();
 
@@ -211,7 +211,7 @@
 			while (resultSet.next()) {
 				String fileNamespace = resultSet.getString(1);
 				String fileLocation = resultSet.getString(2);
-				logMetacat.debug("Registering schema: " + fileNamespace + " " + fileLocation);
+				logMetacat.debug("XMLService.populateRegisteredSchemaList - Registering schema: " + fileNamespace + " " + fileLocation);
 				XMLSchema xmlSchema = new XMLSchema(fileNamespace);
 				xmlSchema.setFileName(fileLocation);
 
@@ -218,12 +218,12 @@
 				if (FileUtil.getFileStatus(xmlSchema.getLocalFileDir()) >= FileUtil.EXISTS_READABLE) {
 					registeredSchemaList.add(xmlSchema);
 				} else {
-					logMetacat.warn("Schema file: " + xmlSchema.getLocalFileDir() + " is registered "
+					logMetacat.warn("XMLService.populateRegisteredSchemaList - Schema file: " + xmlSchema.getLocalFileDir() + " is registered "
 							+ " in the database but does not exist on the file system.");
 				}
 			}
 		} catch (SQLException e) {
-			logMetacat.error("XMLService.populateRegisteredSchemaList(): "
+			logMetacat.error("XMLService.populateRegisteredSchemaList - SQL Error: "
 					+ e.getMessage());
 		} finally {
 			try {
@@ -230,7 +230,7 @@
 				pstmt.close();
 			}// try
 			catch (SQLException sqlE) {
-				logMetacat.error("Error in XMLService.populateRegisteredSchemaList(): "
+				logMetacat.error("XMLSchemaService.populateRegisteredSchemaList - Error in XMLService.populateRegisteredSchemaList(): "
 						+ sqlE.getMessage());
 			}
 			DBConnectionPool.returnDBConnection(conn, serialNumber);
@@ -317,7 +317,7 @@
 
 		// no xml. return empty vector
 		if (xml == null) {
-			logMetacat.debug("Returning empty schemaList.");
+			logMetacat.debug("XMLSchemaService.findSchemasInXML - Returning empty schemaList.");
 			return schemaList;
 		}
 
@@ -359,7 +359,7 @@
 			}
 		}
 
-		logMetacat.debug("Schemas for eml are " + schemaList.toString());
+		logMetacat.debug("XMLSchemaService.findSchemasInXML - Schemas for eml are " + schemaList.toString());
 
 		return schemaList;
 	}    
@@ -380,7 +380,7 @@
 		String eml2_1_0NameSpace = DocumentImpl.EML2_1_0NAMESPACE;
 
 		if (xml == null) {
-			logMetacat.debug("XML doc is null.  There is no namespace.");
+			logMetacat.debug("XMLSchemaService.findDocumentNamespace - XML doc is null.  There is no namespace.");
 			return namespace;
 		}
 
@@ -486,7 +486,7 @@
             tmp = xml.read();
         }
         secondLine = buffer.toString();
-        logMetacat.debug("the second line string is: " + secondLine);
+        logMetacat.debug("XMLSchemaService.getSchemaLine - the second line string is: " + secondLine);
         
         xml.reset();
         return secondLine;
Index: src/edu/ucsb/nceas/metacat/util/DocumentUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/DocumentUtil.java	(revision 5310)
+++ src/edu/ucsb/nceas/metacat/util/DocumentUtil.java	(revision 5311)
@@ -157,7 +157,7 @@
         int end   = identifier.length();
         accessionNumber = identifier.substring(start, end);
       }
-      logMetacat.warn("DocumentUtil.getAccessionNumberFromEcogridIdentifier - The accession number from url is " +
+      logMetacat.info("DocumentUtil.getAccessionNumberFromEcogridIdentifier - The accession number from url is " +
                                  accessionNumber);
       return accessionNumber;
     }
